# Get payment information an order.

Get payment information an order.

Endpoint: GET /orders/{order}/payment-info
Version: 1.0.0

## Path parameters:

  - `order` (string, required)
    The ID of an order. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

## Response 200 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "success"

  - `data` (object, required)
    Payment information for an order.

  - `data.object` (string, required)
    A canonical value representing a resource.
    Enum: "PAYMENT_INFO"

  - `data.id` (string, required)
    ID of the payment info. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.is_authenticated` (boolean, required)
    Whether the payment is authenticated.
    Example: true

  - `data.amount` (integer, required)
    The amount of the payment.
    Example: 1000

  - `data.upfront_percentage` (number, required)
    The upfront percentage of the payment.
    Example: 0.5

  - `data.currency` (string, required)
    The currency of the payment.
    Example: "usd"

  - `data.is_tipping_enabled` (boolean, required)
    Whether tipping is enabled for the payment.
    Example: true

  - `data.show_tipping_ui_expanded` (boolean, required)
    Whether the tipping UI is expanded for the payment.
    Example: true

  - `data.payment_gateway_is_available` (boolean, required)
    Whether the payment gateway is available for the payment.
    Example: true

  - `data.payment_methods` (array, required)
    The payment methods for the payment.

  - `data.payment_methods.id` (string, required)
    The ID of the payment method.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.payment_methods.brand` (string, required)
    The brand of the payment method.
    Example: "visa"

  - `data.payment_methods.last_4` (string, required)
    The last 4 digits of the payment method.
    Example: "1234"

  - `data.payment_methods.exp_month` (integer, required)
    The month of the payment method.
    Example: 1

  - `data.payment_methods.exp_year` (integer, required)
    The year of the payment method.
    Example: 2025

  - `data.payment_methods.is_expired` (boolean, required)
    Whether the payment method is expired.
    Example: true

  - `data.payment_methods.stripe_external_id` (string, required)
    The external ID of the payment method.
    Example: "pm_1234567890"

  - `data.payment_methods.square_external_id` (string, required)
    The external ID of the payment method.
    Example: "sq_1234567890"

  - `data.default_payment_method_id` (string,null, required)
    The ID of the default payment method for the payment.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.default_payment_gateway` (object, required)
    A payment gateway

  - `data.default_payment_gateway.object` (string, required)
    A canonical value representing a resource.
    Enum: "INTEGRATION"

  - `data.default_payment_gateway.id` (string, required)
    The ID of the payment gateway.
    Example: "00000000-0000-4000-8000-000000000000"

  - `data.default_payment_gateway.name` (string, required)
    The name of the payment gateway.
    Example: "Stripe"

  - `data.default_payment_gateway.type` (string, required)
    The type of the payment gateway.
    Example: "PAYMENT_GATEWAY"

  - `data.default_payment_gateway.provider` (string, required)
    The provider of the payment gateway.
    Example: "STRIPE_CONNECT"

  - `data.default_payment_gateway.metadata` (array,null, required)
    The custom field data of the payment gateway.

  - `data.can_save_card` (boolean, required)
    Whether the customer can save a card for the payment.
    Example: true

  - `data.config` (object, required)
    A payment info config

  - `data.config.vgs_vault_id` (string,null, required)
    The ID of the VGS vault.
    Example: "something"

  - `data.config.vgs_environment` (string,null, required)
    The environment of the VGS vault.
    Example: "sandbox"

  - `data.config.square_client_id` (string,null, required)
    The ID of the Square client.
    Example: "sandbox-something"

  - `data.requires_billing_address_during_order_form_submission` (boolean, required)
    Whether the billing address is required during the order form submission.
    Example: true

  - `timestamp` (string,null)
    The request timestamp (ISO 8601).
    Example: "2021-06-30T20:30:00Z"

## Response 404 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 404

## Response 422 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "fail"

## Response 500 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 500


